org.springframework.web.reactive.function

## Interface BodyInserters.MultipartInserter

- All Superinterfaces:
    BodyInserter<MultiValueMap<String,Object>,ClientHttpRequest>, BodyInserters.FormInserter<Object>
  Enclosing class:
    BodyInserters

      public static interface BodyInserters.MultipartInserter
      extends BodyInserters.FormInserter<Object>

  Extension of `BodyInserters.FormInserter` that allows for adding asynchronous parts.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.springframework.web.reactive.function.BodyInserter

      `BodyInserter.Context`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,P extends Publisher<T>> BodyInserters.MultipartInserter` | `withPublisher(String name, P publisher, Class<T> elementClass)` Add an asynchronous part with `Publisher`-based content.
    `<T,P extends Publisher<T>> BodyInserters.MultipartInserter` | `withPublisher(String name, P publisher, ParameterizedTypeReference<T> typeReference)` Variant of `withPublisher(String, Publisher, Class)` that accepts a `ParameterizedTypeReference` for the element type, which allows specifying generic type information.

    - ### Methods inherited from interface org.springframework.web.reactive.function.BodyInserters.FormInserter

      `with, with`

    - ### Methods inherited from interface org.springframework.web.reactive.function.BodyInserter

      `insert`

- - ### Method Detail

    - #### withPublisher

          <T,P extends Publisher<T>> BodyInserters.MultipartInserter withPublisher(String name,
                                                                                   P publisher,
                                                                                   Class<T> elementClass)

      Add an asynchronous part with `Publisher`-based content.
      Parameters:
        `name` - the name of the part to add
        `publisher` - the part contents
        `elementClass` - the type of elements contained in the publisher
      Returns:
        this inserter for adding more parts

    - #### withPublisher

          <T,P extends Publisher<T>> BodyInserters.MultipartInserter withPublisher(String name,
                                                                                   P publisher,
                                                                                   ParameterizedTypeReference<T> typeReference)

      Variant of `withPublisher(String, Publisher, Class)` that accepts a `ParameterizedTypeReference` for the element type, which allows specifying generic type information.
      Parameters:
        `name` - the key to be added
        `publisher` - the publisher to be added as value
        `typeReference` - the type of elements contained in `publisher`
      Returns:
        this inserter for adding more parts